package cn.vscoder.experiment_2;


/**
 *  * 任务2-2：定义食品类和玩具类
 *  * 1.目标：在商品类的基础上，定义食品类和玩具类，并添加各自的特有属性和方法。
 *  * 2.步骤：
 *  * 3.定义食品类Food继承自Product。
 *  * 4.添加食品特有的属性：生产日期（Date）、保质期（int）、主要成分（String）。
 *  * 5.实现设置和获取这些属性的方法，如setExpiryDate(Date date)、getMainIngredients()等。
 *  * 6.重写toString()方法，输出食品的完整信息。
 */

public class Food extends Product{

    private String production_date; // 生产日期

    private int shelf_life_day; // 保质期

    private String main_Ingredients; // 主要成分


    @Override
    public String toString() {
        return super.toString() +
                ", 生产日期=" + production_date +
                ", 保质期=" + shelf_life_day +
                ", 主要成分='" + main_Ingredients + '\'' +
                '}';
    }


    public Food( String product_name, Double product_price, String product_producer, String product_color, String product_weight, String production_date, int shelf_life_day, String main_Ingredients) {
        super( product_name, product_price, product_producer, product_color, product_weight);
        this.production_date = production_date;
        this.shelf_life_day = shelf_life_day;
        this.main_Ingredients = main_Ingredients;
    }

    public Food() {
    }

    public String getProduction_date() {
        return production_date;
    }

    public void setProduction_date(String production_date) {
        this.production_date = production_date;
    }

    public int getShelf_life_day() {
        return shelf_life_day;
    }

    public void setShelf_life_day(int shelf_life_day) {
        this.shelf_life_day = shelf_life_day;
    }

    public String getMain_Ingredients() {
        return main_Ingredients;
    }

    public void setMain_Ingredients(String main_Ingredients) {
        this.main_Ingredients = main_Ingredients;
    }
}